<div class="card mb-3" id="pinboard">
  <div class="card-heading d-flex justify-content-between">
    <h5>Pinnwand</h5>
    <span class="card-help" i18n-popover="" popover="Hier kannst du einen Nachricht für eine bestimmte Zielgruppe hinterlassen."
          [outsideClick]="true"><i class="far fa-question-circle"></i> </span>
  </div>
  <div class="p-3 exclude-outside" *ngIf="!editable" (click)="editable = !editable">
    <div *ngIf="newPost.content" class="mockup-editor mockup-content" [innerHTML]="newPost.content"></div>
    <div *ngIf="!newPost.content" class="mockup-editor">Beitrag hinzufügen...</div>
  </div>
  <div class="p-3 editor" *ngIf="editable" >
    <!-- (clickOutside)="editable = !editable" [exclude]="'.exclude-outside, .ng-option'" -->
    <eos-ckeditor [content]="newPost.content" [autoFocus]="true" (contentChanged)="changePostValue($event)"></eos-ckeditor>
    <div class="row mt-2">
      <div class="col-12">
        <form>
          <div class="form-row">
            <div class="col-4">
              <select class="form-control form-control-sm" (change)="targetGroupChange($event)">
                <option value="">Bitte Zielgruppe wählen</option>
                <option value="organization">Verein</option>
                <option value="ensemble">Ensemble</option>
                <option value="project">Projekt</option>
                <option value="register">Register</option>
                <option value="orgaGroup">Gruppe</option>
              </select>
            </div>
            <div class="col-4 exclude-outside" >
              <!--
              <ng-select [items]="targets | async"
                         bindLabel="name"
                         name="selectedTarget"
                         *ngIf="targetGroup"
                         placeholder="{{targetGroupName}} auswählen"
                         [(ngModel)]="selectedTarget">
              </ng-select>
              -->
              <select class="form-control form-control-sm"
                      name="selectedTarget"
                      [(ngModel)]="selectedTarget">
                <option value="">Bitte {{targetGroupName}} wählen</option>
                <option *ngFor="let target of targets" [value]="target.id">{{target.name}}</option>
              </select>
            </div>
            <div class="col-4">
              <button class="btn btn-primary btn-block btn-sm" (click)="createPost(newPost)" [disabled]="!selectedTarget">Beitrag absenden</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
  <div class="pinboard-element" *ngFor="let post of posts">
    <eos-post [post]="post" [currentUser]="currentUser" (postDeleted)="postDeleted($event)"></eos-post>
  </div>
  <div class="pinboard-element d-flex justify-content-center" *ngIf="!postsLoaded">
    <div class="spinner-border text-primary" role="status">
      <span class="sr-only">Loading...</span>
    </div>
  </div>
  <div class="pinboard-element" *ngIf="!showMoreButton">
    Keine weiteren Posts vorhanden.
  </div>
  <div class="row" *ngIf="showMoreButton">
    <div class="col-12">
      <button class="btn btn-secondary btn-sm btn-block" (click)="setLimit()">mehr anzeigen</button>
    </div>
  </div>
</div>
